Index: trunk/source/processes/hadronic/models/neutron_hp/History
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/History	(revision 819)
+++ trunk/source/processes/hadronic/models/neutron_hp/History	(revision 962)
@@ -1,3 +1,2 @@
-$Id: History,v 1.23.2.2 2008/04/29 07:05:37 gcosmo Exp $
 -------------------------------------------------------------------
 
@@ -14,9 +13,188 @@
      ---------------------------------------------------------------
      * Please list in reverse chronological order (last date on top)
-      ---------------------------------------------------------------
-
-29 April 2008 Gabriele Cosmo (hadr-hpn-V09-00-07)
--------------------------------------------------
-- Tag for release 9.1.p02.
+     ---------------------------------------------------------------
+
+3 December 2008  Tatsumi Koi  (hadr-hpn-V09-01-28)
+- Fix bug in Register in G4NeutronHPChannel 
+  and add limitation of trial of creating final states and proctection for pure 1H case in G4NeutronHPInelastic
+	G4NeutronHPChannel.cc
+        G4NeutronHPInelastic.cc
+
+2 December 2008  Tatsumi Koi  (hadr-hpn-V09-01-27)
+- Remove unused variable
+        G4NeutronHPThermalScattering.cc
+
+1 December 2008  Tatsumi Koi  (hadr-hpn-V09-01-26)
+- Fix for Memory Leak 
+        G4NeutronHPThermalScattering.cc
+
+24 November 2008  Tatsumi Koi  (hadr-hpn-V09-01-25)
+- Protect invalid read which caused run time errors
+        G4NeutronHPFissionData.cc
+
+05 November 2008  Dennis Wright  (hadr-hpn-V09-01-24)
+  G4NeutronHPNames.cc: put parentheses around && in || (line 324) to 
+  satisfy gcc 4.3 compiler.
+
+27 October 2008 Tatsumi Koi (hadr-hpn-V09-01-23)
+  Z,A to A,Z for functions of NucleiProperties 
+	recommit and re tag hadr-hpn-V09-01-22 
+
+27 October 2008 Tatsumi Koi (hadr-hpn-V09-01-22)
+  Z,A to A,Z for functions of NucleiProperties 
+	G4NeutronHPThermalBoost.hh
+        G4NeutronHPCaptureData.cc
+        G4NeutronHPCaptureFS.cc
+        G4NeutronHPContAngularPar.cc
+        G4NeutronHPElasticData.cc
+        G4NeutronHPFissionData.cc
+        G4NeutronHPInelasticBaseFS.cc
+        G4NeutronHPInelasticCompFS.cc
+        G4NeutronHPInelasticData.cc
+        G4NeutronHPorLCaptureData.cc
+        G4NeutronHPorLEInelasticData.cc
+        G4NeutronHPorLElasticData.cc
+        G4NeutronHPorLFissionData.cc
+
+24 October 2008 Tatsumi Koi (hadr-hpn-V09-01-21)
+- Migarate to "particles-V09-01-09"
+	G4NeutronHPThermalBoost.hh
+        G4NeutronHPCaptureData.cc
+        G4NeutronHPCaptureFS.cc
+        G4NeutronHPContAngularPar.cc
+        G4NeutronHPElasticData.cc
+        G4NeutronHPFissionData.cc
+        G4NeutronHPInelasticBaseFS.cc
+        G4NeutronHPInelasticCompFS.cc
+        G4NeutronHPInelasticData.cc
+        G4NeutronHPorLCaptureData.cc
+        G4NeutronHPorLEInelasticData.cc
+        G4NeutronHPorLElasticData.cc
+        G4NeutronHPorLFissionData.cc
+
+4 September 2008 Tatsumi Koi (hadr-hpn-V09-01-20)
+---------------------------------------------
+- Delete output for debugging
+	G4NeutronHPProduct.cc
+
+4 September 2008 Tatsumi Koi (hadr-hpn-V09-01-19)
+---------------------------------------------
+- Add Protection for negative energy results in very low energy ( 1E-6 eV ) scattering 
+	G4NeutronHPElasticFS.cc
+
+1 September 2008 Tatsumi Koi (hadr-hpn-V09-01-18)
+---------------------------------------------
+- Bug fix of too many secondaries production in nd rections
+	G4NeutronHPProduct.cc
+- Set protection for selecting data in hydrogen and alpha
+	G4NeutronHPName.cc
+- Avoiding troubles which caused by G4PhysicsVecotor of length 0 
+	G4NeutronHPIsoData.cc
+
+11 August 2008 Tatsumi Koi (hadr-hpn-V09-01-17)
+---------------------------------------------
+- Bug fix G4NeutronHPLabAngularEnergy
+	G4NeutronHPLabAngularEnergy.cc
+  Change interpolation scheme for histogram  
+	G4NeutronHPInterpolator.hh
+  Bug fix in Sample and GetXsec in G4NeutronHpVector 
+	G4NeutronHPVector.hh
+	G4NeutronHPVector.cc
+  Prohibit level transition to oneself
+	G4NeutronHPDeExGammas.cc
+  Fix memory leak and Correcting data disorder which happened 
+      when both InitPartial and InitAnglurar methods 
+      was called in a same instance 
+	G4NeutronHPPhotonDist.cc
+
+1 August 2008 Tatsumi Koi (hadr-hpn-V09-01-16)
+---------------------------------------------
+- Introduce theNDLDataA,Z which has A and Z of used NDL data
+  residual reconstraction with theNDLDataA,Z
+  several fixes and protection for G4FPE_DEBUF and checking with valgrind 
+	G4NeutronHPFinalState.hh
+	G4NeutronHPFinalState.cc
+	G4NeutronHPInelasticCompFS.cc
+	G4NeutronHPInelasticBaseFS.cc
+	G4NeutronHPKallbachMannSyst.cc
+	G4NeutronHPContAngularPar.cc
+
+21 July 2008 Tatsumi Koi (hadr-hpn-V09-01-15)
+---------------------------------------------
+- Adjusting final states based on the energy and momentum conservation
+	G4NeutronHPFinalState.hh
+	G4NeutronHPFinalState.cc
+	G4NeutronHPInelasticCompFS.cc
+	G4NeutronHPInelasticBaseFS.cc
+
+21 July 2008 Tatsumi Koi (hadr-hpn-V09-01-14)
+---------------------------------------------
+- Limiting the sum of secondary energies
+	G4VNeutronHPEnergyAngular.hh
+	G4NeutronHPContEnergyAngular.hh
+	G4NeutronHPContAngularPar.hh
+	G4NeutronHPProduct.cc
+	G4NeutronHPEnAngCorrelation.cc
+	G4NeutronHPContEnergyAngular.cc
+	G4NeutronHPContAngularPar.cc
+
+17 July 2008 Tatsumi Koi (hadr-hpn-V09-01-13)
+---------------------------------------------
+- Fix of calculation of residual momentum
+	G4NeutronHPInelasticCompFS.cc
+	G4NeutronHPDiscreteTwoBody.cc
+
+26 June 2008 Tatsumi Koi (hadr-hpn-V09-01-12)
+---------------------------------------------
+- Fix for Memory Leak 
+	G4NeutronHPPhotonDist.hh
+
+18 June 2008 Tatsumi Koi (hadr-hpn-V09-01-11)
+---------------------------------------------
+- Fix for tag hadr-hpn-V09-01-09 and 10 
+	G4NeutronHPDiscreteTwoBody.cc
+
+13 June 2008 Tatsumi Koi (hadr-hpn-V09-01-10)
+---------------------------------------------
+- Bug fixes contribution from Benoit Pirard and Laurent Desorgher (Univ. Bern) 
+	G4NeutronHPContAngularPar.cc 
+
+12 June 2008 Tatsumi Koi (hadr-hpn-V09-01-09)
+---------------------------------------------
+- Bug fixes contribution from Benoit Pirard and Laurent Desorgher (Univ. Bern) 
+	G4NeutronHPLegendreStore.hh
+	G4NeutronHPAngular.cc
+	G4NeutronHPDiscreteTwoBody.cc
+	G4NeutronHPInelasticCompFS.cc
+	G4NeutronHPLegendreStore.cc
+
+
+03 June 2008 Tatsumi Koi (hadr-hpn-V09-01-08)
+---------------------------------------------
+- Bug fixe for codition jump by uninitialised value by T. Koi
+	G4NeutronHPInelasticData.cc
+	G4NeutronHPCaptureData.cc
+
+03 June 2008 Tatsumi Koi (hadr-hpn-V09-01-07)
+---------------------------------------------
+- Bug fixes for Hadron Hyper News #932 by T. Koi
+	G4NeutronHPInelasticCompFS.cc
+
+20 May 2008 Tatsumi Koi (hadr-hpn-V09-01-06)
+---------------------------------------------
+- Delete unnecessary dependencies by T. Koi
+	G4NeutronHPChannel.hh
+	G4NeutronHPElementData.hh
+
+28 April 2008 Tatsumi Koi (hadr-hpn-V09-01-05)
+---------------------------------------------
+- Change checking point of "neglecting doppler broadening" flag 
+  from GetCrossSection to BuildPhysicsTable by T. Koi
+	G4NeutronHPElasticData.hh
+	G4NeutronHPInelasticData.hh
+	G4NeutronHPCaptureData.hh
+	G4NeutronHPElasticData.cc
+	G4NeutronHPInelasticData.cc
+	G4NeutronHPCaptureData.cc
 
 22 April 2008 Tatsumi Koi (hadr-hpn-V09-01-04)
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4InterpolationIterator.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4InterpolationIterator.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4InterpolationIterator.hh	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4InterpolationIterator.hh,v 1.9 2006/06/29 20:46:13 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 #ifndef G4InterpolationIterator_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4InterpolationManager.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4InterpolationManager.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4InterpolationManager.hh	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4InterpolationManager.hh,v 1.13 2007/06/06 12:45:13 ahoward Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 #ifndef G4InterpolationManager_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4InterpolationScheme.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4InterpolationScheme.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4InterpolationScheme.hh	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4InterpolationScheme.hh,v 1.8 2006/06/29 20:46:17 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 #ifndef G4InterpolationScheme_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2AInelasticFS.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2AInelasticFS.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2AInelasticFS.hh	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHP2AInelasticFS.hh,v 1.9 2006/06/29 20:46:19 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 #ifndef G4NeutronHP2AInelasticFS_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2N2AInelasticFS.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2N2AInelasticFS.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2N2AInelasticFS.hh	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHP2N2AInelasticFS.hh,v 1.9 2006/06/29 20:46:21 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 #ifndef G4NeutronHP2N2AInelasticFS_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2NAInelasticFS.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2NAInelasticFS.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2NAInelasticFS.hh	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHP2NAInelasticFS.hh,v 1.9 2006/06/29 20:46:23 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 #ifndef G4NeutronHP2NAInelasticFS_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2NDInelasticFS.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2NDInelasticFS.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2NDInelasticFS.hh	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHP2NDInelasticFS.hh,v 1.9 2006/06/29 20:46:25 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 #ifndef G4NeutronHP2NDInelasticFS_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2NInelasticFS.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2NInelasticFS.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2NInelasticFS.hh	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHP2NInelasticFS.hh,v 1.9 2006/06/29 20:46:27 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 #ifndef G4NeutronHP2NInelasticFS_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2NPInelasticFS.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2NPInelasticFS.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2NPInelasticFS.hh	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHP2NPInelasticFS.hh,v 1.9 2006/06/29 20:46:29 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 #ifndef G4NeutronHP2NPInelasticFS_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2PInelasticFS.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2PInelasticFS.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2PInelasticFS.hh	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHP2PInelasticFS.hh,v 1.9 2006/06/29 20:46:31 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 #ifndef G4NeutronHP2PInelasticFS_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP3AInelasticFS.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP3AInelasticFS.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP3AInelasticFS.hh	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHP3AInelasticFS.hh,v 1.9 2006/06/29 20:46:33 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 #ifndef G4NeutronHP3AInelasticFS_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP3NAInelasticFS.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP3NAInelasticFS.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP3NAInelasticFS.hh	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHP3NAInelasticFS.hh,v 1.9 2006/06/29 20:46:35 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 #ifndef G4NeutronHP3NAInelasticFS_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP3NInelasticFS.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP3NInelasticFS.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP3NInelasticFS.hh	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHP3NInelasticFS.hh,v 1.9 2006/06/29 20:46:37 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 #ifndef G4NeutronHP3NInelasticFS_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP3NPInelasticFS.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP3NPInelasticFS.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP3NPInelasticFS.hh	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHP3NPInelasticFS.hh,v 1.9 2006/06/29 20:46:39 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 #ifndef G4NeutronHP3NPInelasticFS_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP4NInelasticFS.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP4NInelasticFS.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP4NInelasticFS.hh	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHP4NInelasticFS.hh,v 1.9 2006/06/29 20:46:41 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 #ifndef G4NeutronHP4NInelasticFS_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPAInelasticFS.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPAInelasticFS.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPAInelasticFS.hh	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHPAInelasticFS.hh,v 1.9 2006/06/29 20:46:43 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 #ifndef G4NeutronHPAInelasticFS_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPAngular.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPAngular.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPAngular.hh	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHPAngular.hh,v 1.12 2007/06/22 09:23:47 gcosmo Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 070613 fix memory leaking by T. Koi
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPAngularP.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPAngularP.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPAngularP.hh	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHPAngularP.hh,v 1.11 2007/06/06 12:45:13 ahoward Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 #ifndef G4NeutronHPAngularP_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPArbitaryTab.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPArbitaryTab.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPArbitaryTab.hh	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHPArbitaryTab.hh,v 1.12 2007/06/06 12:45:13 ahoward Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 #ifndef G4NeutronHPArbitaryTab_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPCapture.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPCapture.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPCapture.hh	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHPCapture.hh,v 1.10 2006/06/29 20:46:51 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
  // Hadronic Process: Very Low Energy Neutron X-Sections
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPCaptureData.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPCaptureData.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPCaptureData.hh	(revision 962)
@@ -25,8 +25,9 @@
 //
 //
-// $Id: G4NeutronHPCaptureData.hh,v 1.9.2.1 2008/04/29 07:05:37 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// $Id: G4NeutronHPCaptureData.hh,v 1.11 2008/04/28 19:07:54 tkoi Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 080417 Add IsZAApplicable method (return false) by T. Koi
+// 080428 Add bool onFlightDB by T. Koi
 //
 #ifndef G4NeutronHPCaptureData_h
@@ -70,4 +71,6 @@
    
    G4PhysicsTable * theCrossSections;
+
+      G4bool onFlightDB;
 };
 
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPCaptureFS.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPCaptureFS.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPCaptureFS.hh	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHPCaptureFS.hh,v 1.11 2006/06/29 20:46:55 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 #ifndef G4NeutronHPCaptureFS_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPChannel.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPChannel.hh	(revision 962)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4NeutronHPChannel.hh,v 1.14 2007/06/14 17:17:30 tkoi Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4NeutronHPChannel.hh,v 1.15 2008/05/20 21:24:28 tkoi Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
  // Hadronic Process: Very Low Energy Neutron X-Sections
@@ -34,4 +34,6 @@
 // Bug fixes and workarounds in the destructor, F.W.Jones 06-Jul-1999
 // 070612 Fix memory leaking by T. Koi
+//
+// 080520 Delete unnecessary dependencies by T. Koi
  
 #ifndef G4NeutronHPChannel_h
@@ -42,8 +44,8 @@
 #include "G4Material.hh"
 #include "G4HadProjectile.hh"
-#include "G4NeutronInelasticProcess.hh"
-#include "G4HadronFissionProcess.hh"
-#include "G4HadronElasticProcess.hh"
-#include "G4HadronCaptureProcess.hh"
+//#include "G4NeutronInelasticProcess.hh"
+//#include "G4HadronFissionProcess.hh"
+//#include "G4HadronElasticProcess.hh"
+//#include "G4HadronCaptureProcess.hh"
 #include "G4StableIsotopes.hh"
 #include "G4NeutronHPCaptureFS.hh"
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPChannelList.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPChannelList.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPChannelList.hh	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHPChannelList.hh,v 1.10 2006/06/29 20:46:59 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
  // Hadronic Process: Very Low Energy Neutron X-Sections
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPContAngularPar.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPContAngularPar.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPContAngularPar.hh	(revision 962)
@@ -25,6 +25,8 @@
 //
 //
-// $Id: G4NeutronHPContAngularPar.hh,v 1.12 2007/06/06 12:45:13 ahoward Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4NeutronHPContAngularPar.hh,v 1.13 2008/07/21 23:26:29 tkoi Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
+//
+// 080718 Add ClearHistories method and related class member
 //
 #ifndef G4NeutronHPContAngularPar_h
@@ -47,4 +49,5 @@
     theAngular = 0;
     currentMeanEnergy = -2;
+     fresh = true;
   }
   ~G4NeutronHPContAngularPar()
@@ -148,4 +151,11 @@
   
   G4double currentMeanEnergy;
+
+//080718
+   public:
+      void ClearHistories(){ fresh = true; };
+   private:
+      G4bool fresh; 
+      G4double remaining_energy; // represent energy rest of cascade chain
 };
 #endif
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPContEnergyAngular.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPContEnergyAngular.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPContEnergyAngular.hh	(revision 962)
@@ -25,6 +25,8 @@
 //
 //
-// $Id: G4NeutronHPContEnergyAngular.hh,v 1.11 2007/06/06 12:45:13 ahoward Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4NeutronHPContEnergyAngular.hh,v 1.12 2008/07/21 23:26:29 tkoi Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
+//
+// 080721 Add ClearHistories() method by T. Koi
 //
 #ifndef G4NeutronHPContEnergyAngular_h
@@ -83,4 +85,7 @@
   
   G4double currentMeanEnergy;
+
+   public:
+      void ClearHistories(); 
   
 };
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPD2AInelasticFS.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPD2AInelasticFS.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPD2AInelasticFS.hh	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHPD2AInelasticFS.hh,v 1.9 2006/06/29 20:47:05 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 #ifndef G4NeutronHPD2AInelasticFS_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPDAInelasticFS.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPDAInelasticFS.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPDAInelasticFS.hh	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHPDAInelasticFS.hh,v 1.9 2006/06/29 20:47:07 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 #ifndef G4NeutronHPDAInelasticFS_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPDInelasticFS.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPDInelasticFS.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPDInelasticFS.hh	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHPDInelasticFS.hh,v 1.9 2006/06/29 20:47:09 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 #ifndef G4NeutronHPDInelasticFS_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPData.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPData.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPData.hh	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHPData.hh,v 1.9 2006/06/29 20:47:11 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
  // Hadronic Process: Very Low Energy Neutron X-Sections
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPDataPoint.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPDataPoint.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPDataPoint.hh	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHPDataPoint.hh,v 1.8 2006/06/29 20:47:13 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 #ifndef G4NeutronHPDataPoint_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPDeExGammas.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPDeExGammas.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPDeExGammas.hh	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHPDeExGammas.hh,v 1.13 2007/06/06 12:45:13 ahoward Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 #ifndef G4NeutronHPDeExGammas_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPDiscreteTwoBody.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPDiscreteTwoBody.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPDiscreteTwoBody.hh	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHPDiscreteTwoBody.hh,v 1.11 2007/06/06 12:45:13 ahoward Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 #ifndef G4NeutronHPDiscreteTwoBody_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPElastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPElastic.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPElastic.hh	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHPElastic.hh,v 1.10 2006/06/29 20:47:21 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
  // Hadronic Process: High Precision low E neutron tracking
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPElasticData.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPElasticData.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPElasticData.hh	(revision 962)
@@ -25,8 +25,9 @@
 //
 //
-// $Id: G4NeutronHPElasticData.hh,v 1.9.2.1 2008/04/29 07:05:37 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// $Id: G4NeutronHPElasticData.hh,v 1.11 2008/04/28 19:07:53 tkoi Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 080417 Add IsZAApplicable method (return false) by T. Koi
+// 080428 Add bool onFlightDB by T. Koi
 //
 #ifndef G4NeutronHPElasticData_h
@@ -70,4 +71,6 @@
    
    G4PhysicsTable * theCrossSections;
+      G4bool onFlightDB;
+   
 };
 
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPElasticFS.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPElasticFS.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPElasticFS.hh	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHPElasticFS.hh,v 1.12 2007/06/06 12:45:13 ahoward Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 25-08-06 New Final State type (refFlag==3 , Legendre (Low Energy) + Probability (High Energy) )
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPElementData.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPElementData.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPElementData.hh	(revision 962)
@@ -25,10 +25,12 @@
 //
 //
-// $Id: G4NeutronHPElementData.hh,v 1.9 2006/06/29 20:47:27 gunter Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4NeutronHPElementData.hh,v 1.10 2008/05/20 21:24:28 tkoi Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
  // Hadronic Process: Very Low Energy Neutron X-Sections
  // original by H.P. Wellisch, TRIUMF, 14-Feb-97
  // Builds and has the Cross-section data for one material.
+//
+// 080520 Delete unnecessary dependencies by T. Koi
  
 #ifndef G4NeutronHPElementData_h
@@ -39,7 +41,9 @@
 #include "G4Material.hh"
 #include "G4HadronCrossSections.hh"
-#include "G4NeutronInelasticProcess.hh"
-#include "G4HadronFissionProcess.hh"
-#include "G4HadronCaptureProcess.hh"
+#include "G4ReactionProduct.hh"
+#include "G4Nucleus.hh"
+//#include "G4NeutronInelasticProcess.hh"
+//#include "G4HadronFissionProcess.hh"
+//#include "G4HadronCaptureProcess.hh"
 #include "G4NeutronHPElasticData.hh"
 #include "G4NeutronHPFissionData.hh"
